## usql 0.19.19

=== debian/changelog ===
usql (0.19.19-2) unstable; urgency=medium

  * Initial release of usql, with five dependencies included, all small and
    unlikely to have other consumers in Debian and not worth packaging
    separately (Closes: #1100934)
  * Bumped Debian revision to -2 so that package will show up in the NEW queue
    and get re-reviewed

 -- Otto Kekäläinen <otto@debian.org>  Wed, 18 Feb 2026 09:09:09 +0000
