=== debian/control ===
Source: usql
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 dh-sequence-golang,
 golang-any,
 golang-github-alecthomas-chroma-v2-dev,
 golang-github-cyphar-filepath-securejoin-dev,
 golang-github-go-git-go-billy-dev,
 golang-github-go-sql-driver-mysql-dev,
 golang-github-gocql-gocql-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-goexpect-dev,
 golang-github-google-goterm-dev,
 golang-github-jackc-pgx-v4-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-mattn-go-runewidth-dev,
 golang-github-mattn-go-sixel-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-sap-go-hdb-dev,
 golang-github-soniakeys-quant-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-xo-dburl-dev,
 golang-github-xo-tblfmt-dev,
 golang-github-xo-terminfo-dev,
 golang-github-ziutek-mymysql-dev,
 golang-golang-x-exp-dev,
 golang-google-grpc-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/usql
Vcs-Git: https://salsa.debian.org/go-team/packages/usql.git
Homepage: https://github.com/xo/usql
XS-Go-Import-Path: github.com/xo/usql

Package: usql
Section: utils
Architecture: any
Multi-Arch: foreign
Static-Built-Using:
 ${misc:Static-Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Universal command-line interface for SQL databases (program)
 usql is a universal command-line interface for PostgreSQL, MariaDB, SQLite3,
 and many other databases including NoSQL and non-relational databases!
 .
 usql provides a simple way to work with SQL and NoSQL databases via a
 command-line inspired by PostgreSQL's psql. usql supports most of the
 core psql features, such as variables, backticks, backslash commands and
 has additional features that psql does not, such as multiple database
 support, copying between databases, syntax highlighting, context-based
 completion, and terminal graphics.

Package: golang-github-xo-usql-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-alecthomas-chroma-v2-dev,
 golang-github-cyphar-filepath-securejoin-dev,
 golang-github-go-sql-driver-mysql-dev,
 golang-github-gocql-gocql-dev,
 golang-github-google-go-cmp-dev,
 golang-github-jackc-pgx-v4-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-mattn-go-runewidth-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-sap-go-hdb-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-xo-terminfo-dev,
 golang-github-ziutek-mymysql-dev,
 golang-golang-x-exp-dev,
 golang-google-grpc-dev,
 ${misc:Depends},
Description: Universal command-line interface for SQL databases (library)
 usql is a universal command-line interface for PostgreSQL, MariaDB, SQLite3,
 and many other databases including NoSQL and non-relational databases!
 .
 The development library package is used by Go modules that reuse some of the
 code in usql.
